Package: org.codehaus.groovy.grails.plugins.web.async.mvc

## [Groovy] Class AsyncActionResultTransformer

- org.codehaus.groovy.grails.plugins.web.async.mvc.AsyncActionResultTransformer

- All Implemented Interfaces and Traits:
    ActionResultTransformer

      @groovy.transform.CompileStatic
      class AsyncActionResultTransformer

  Handles an Async response from a controller

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `handleComplete(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.AsyncContext asyncContext)`
    `java.lang.Object` | `transformActionResult(GrailsWebRequest webRequest, java.lang.String viewName, java.lang.Object actionResult)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### protected void handleComplete(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.AsyncContext asyncContext)

    - #### java.lang.Object transformActionResult(GrailsWebRequest webRequest, java.lang.String viewName, java.lang.Object actionResult)